package com.zopim.android.sdk.api;

import android.support.annotation.NonNull;
import java.io.Serializable;

/**
 * Abstract definition of a chat configuration builder
 * <p>
 * It holds implementation of shared configuration between global {@link com.zopim.android.sdk.api.ZopimChatApi.DefaultConfig} and session {@link com.zopim.android.sdk.api.ZopimChatApi.SessionConfig}.
 * Further down the line this configuration is used in global and session config of the Chat UI package.
 * </p>
 * <p>
 * When adding a configuration that needs to be shared across both global and session configurations in both UI and API projects this is the place to add that functionality.
 * </p>
 */
abstract class ApiConfigBuilder<T extends ApiConfigBuilder> implements Serializable {
    // 
    // Source removed
    // 
    // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
    // 
}
