package com.zopim.android.sdk.api;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import com.zendesk.logger.Logger;
import com.zendesk.util.FileUtils;
import java.io.File;
import java.util.HashMap;
import java.util.Map;

/**
 * Definition of a set of files being transferred.
 * <p>
 * Files are added here when {@link ChatApi#send(File)} is called or on agent attachment request. Used by {@link com.zopim.android.sdk.data.LivechatChatLogPath} to inject {@link File} in the relevant chat log containing the file name.
 * This enables observers of {@link com.zopim.android.sdk.data.observers.ChatLogObserver} to receive actual file rather then just file name from chat log event.
 * </p>
 */
public enum FileTransfers {

    INSTANCE;

    /**
     * Status of a file being transferred
     */
    enum Status {

        UNKNOWN, SCHEDULED, STARTED, COMPLETED, FAILED
    }

    /**
     * Information about file being transferred
     */
    static class Info {
        // 
        // Source removed
        // 
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        // 
    }

    /**
     * Finds file based on file name provided.
     *
     * @param uniqueName that identifies the file as one returned by {@link FileTransfers#add(File)}
     * @return file from the transfer set, or null no matching file was found or an error occurred
     */
    public File findFile(String uniqueName) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
