package com.zopim.android.sdk.api;

import android.os.Build;
import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLSocketFactory;

/**
 * <p>
 * Applies the correct ConnectionSpecs for different versions of android. On api versions from 16-20 (Jelly Bean and Kitkat)
 * a patch is applied to the SSLSocketFactory to enable TLSv1.2 and disable older TLS and SSL versions.
 * </p>
 * <p>
 * On Api versions >= 21 (Lollipop and above) TLSv1.2 is supported by default and the default SSLSocketFactory is used.
 * The Connection spec is set to disable older fallback versions of TLS and SSL.
 * </p>
 * <p>
 * more info <a href="https://github.com/square/okhttp/issues/2372">OkHttp Github Issue</a>
 * </p>
 */
@SuppressWarnings("WeakerAccess")
public class Tls12SocketFactory extends SSLSocketFactory {

    public static HttpsURLConnection enableTls12(HttpsURLConnection httpURLConnection) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public Tls12SocketFactory(SSLSocketFactory base) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String[] getDefaultCipherSuites() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String[] getSupportedCipherSuites() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public Socket createSocket(Socket s, String host, int port, boolean autoClose) throws IOException {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public Socket createSocket(String host, int port) throws IOException {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public Socket createSocket(String host, int port, InetAddress localHost, int localPort) throws IOException {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public Socket createSocket(InetAddress host, int port) throws IOException {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public Socket createSocket(InetAddress address, int port, InetAddress localAddress, int localPort) throws IOException {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
