package com.zopim.android.sdk.api;

import android.annotation.TargetApi;
import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.support.annotation.NonNull;
import android.webkit.ValueCallback;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import com.zendesk.logger.Logger;
import com.zendesk.util.StringUtils;
import com.zopim.android.sdk.attachment.FileExtension;
import com.zopim.android.sdk.breadcrumbs.Event;
import com.zopim.android.sdk.breadcrumbs.Events;
import com.zopim.android.sdk.data.LivechatChatLogPath;
import com.zopim.android.sdk.data.WebWidgetListener;
import com.zopim.android.sdk.model.ChatLog;
import com.zopim.android.sdk.util.AppInfo;
import java.io.File;
import java.util.Arrays;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;
import java.util.concurrent.TimeUnit;

/**
 * Web widget implementation of chat communication.
 * <p>
 * Uses web view to load Zopim web widget javascript. Communication is done over the web widget.
 * </p>
 * <p>
 * All {@link WebBinder} interface APIs should be called of the main thread as they end up calling {@link android.webkit.WebView} interface.
 * </p>
 */
final class WebBinder extends ChatCommunication {

    /**
     * Closes the JS widget session and disables the {@link android.webkit.WebView}.
     * <p>
     * This will disconnect JS widget from the <a href="https://dashboard.zopim.com">Agent Dashboard</a>
     * </p>
     */
    class TeardownRunnable implements Runnable {
        // 
        // Source removed
        // 
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        // 
    }
    /**
     * Internal API that keeps the chat session alive.
     * Used by {@link ChatClient}
     */
}
