package com.zopim.android.sdk.data;

import com.zendesk.logger.Logger;

/**
 * Definition of path name.
 * <p>
 * Each path name represents a specific channel in chat data source. For example chat messages log is defined in livechat.channel.log
 * </p>
 */
enum PathName {

    LIVECHAT_CHANNEL_LOG("livechat.channel.log"),
    LIVECHAT_PROFILE("livechat.profile"),
    LIVECHAT_AGENTS("livechat.agents"),
    LIVECHAT_UI("livechat.ui"),
    LIVECHAT_DEPARTMENTS("livechat.departments"),
    LIVECHAT_ACCOUNT("livechat.account"),
    LIVECHAT_SETTINGS_FORMS("livechat.settings.forms"),
    LIVECHAT_SETTINGS_FILE_SENDING("livechat.settings.file_sending"),
    CONNECTION("connection"),
    UNKNOWN("unknown");

    /**
     * Builds enum value based on provided path name
     *
     * @param path
     */
    private PathName(String path) {
        this.value = path;
    }
}
