package com.zopim.android.sdk.data.observers;

import com.zendesk.logger.Logger;
import com.zopim.android.sdk.data.LivechatAccountPath;
import com.zopim.android.sdk.model.Account;
import java.util.Observable;
import java.util.Observer;

/**
 * Abstract definition of the observer that listens to broadcasts from {@link com.zopim.android.sdk.data.LivechatAccountPath} observable
 */
public abstract class AccountObserver implements Observer {

    @Override
    public final void update(Observable observable, Object object) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Delivers the broadcast from {@link com.zopim.android.sdk.data.LivechatAccountPath} observable
     * <p>
     * This broadcast arrives on a non-UI thread.
     * Keep in mind that if updating UI elements you need to do so on the main thread using {@link android.app.Activity#runOnUiThread(Runnable)} or {@link android.os.Looper#getMainLooper()}.
     * </p>
     *
     * @param account The current account state
     */
    public abstract void update(Account account) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
