package com.zopim.android.sdk.model;

import android.support.annotation.Nullable;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * This is a model class for user account information.
 * <p>
 * It holds information about the account that the chat was connected to.
 * In particular it holds information about account availability status.
 * </p>
 *
 * @see com.zopim.android.sdk.model.Account.Status
 */
public class Account {

    /**
     * Gets status enum value
     *
     * <p>
     * Described in {@link com.zopim.android.sdk.model.Account.Status}
     * </p>
     *
     * @return Account status
     */
    @Nullable
    public Status getStatus() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Definition of account status enum value.
     * <ul>
     *  <li> {@link Status#ONLINE}
     *  <li> {@link Status#OFFLINE}
     *  <li> {@link Status#UNKNOWN}
     * </ul>
     */
    public enum Status {

        /**
         * Account is online
         */
        ONLINE("online"),
        /**
         * Account is offline or out of working hours. No agents available.
         *
         * @see <a href="https://dashboard.zopim.com/#account/operating_hours">Operating Hours</a>
         */
        OFFLINE("offline"),
        UNKNOWN("unknown");

        Status(String status) {
            this.value = status;
        }

        public String getValue() {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Finds matching status value
         *
         * @param value to match with connection status
         * @return matching connection status or UNKNOWN if no match was found
         */
        public static Status getStatus(String value) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }
    }
}
