package com.zopim.android.sdk.model;

import android.support.annotation.Nullable;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

/**
 * This is a model class for Agent that will be created by {@link com.zopim.android.sdk.data.LivechatAgentsPath}.
 * <p>
 * It is used to tell available departments for in a chat session. Configuration of available departments can be done on the agent's dashboard.
 * </p>
 * <p>
 * You can subscribe to agent broadcast via {@link com.zopim.android.sdk.data.DataSource#addAgentsObserver(java.util.Observer)} using {@link com.zopim.android.sdk.data.observers.AgentsObserver}
 * </p>
 * <p>
 * This class is a model that will be serialised to JSON and deserialised from JSON to this
 * model. As such it does not follow the m naming prefix for fields.
 * </p>
 *
 * @see <a href="https://dashboard.zopim.com/#departments">Agent Dashboard</a>
 */
public class Agent {

    /**
     * Indicates whether agent is currently typing
     *
     * @return true if typing, false if not typing, null if uninitialized
     */
    @Nullable
    public Boolean isTyping() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets display name of the agent as in agent dashboard
     * <p>
     * Agent name is configurable in <a href="https://dashboard.zopim.com/#personal/profile">Agent Dashboard Profile</a>
     * </p>
     *
     * @return agent's name
     */
    @Nullable
    public String getDisplayName() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets agent avatar uri resource
     *
     * @return uri of the avatar resource
     */
    @Nullable
    public String getAvatarUri() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String toString() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
