package com.zopim.android.sdk.model;

import android.support.annotation.Nullable;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.zendesk.logger.Logger;
import java.net.MalformedURLException;
import java.net.URL;

/**
 * This is a model class for attachment in {@link ChatLog} that will be created by {@link com.zopim.android.sdk.data.LivechatAgentsPath}.
 * <p>
 * It is used to define attachments in a chat log event.
 * </p>
 * <p>
 * This class is a model that will be serialised to JSON and deserialised from JSON to this
 * model. As such it does not follow the m naming prefix for fields.
 * </p>
 *
 * @see <a href="https://dashboard.zopim.com/#departments">Agent Dashboard</a>
 */
public class Attachment {

    /**
     * Gets type of the attachment like document or image
     *
     * @return type of the attachment
     */
    @Nullable
    public String getType() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets mime type of the attachment
     *
     * @return mime type of the attachment
     */
    @Nullable
    public String getMimeType() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets name of the attachment file
     *
     * @return file name of the attachment
     */
    @Nullable
    public String getName() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets file size of the attachment
     *
     * @return attachment size
     */
    @Nullable
    public Long getSize() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets thumbnail image of the attachment
     *
     * @return thumbnail image of the attachment
     */
    @Nullable
    public URL getThumbnail() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Get resource url of the attachment
     *
     * @return url resource
     */
    @Nullable
    public URL getUrl() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
