package com.zopim.android.sdk.model;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import com.zopim.android.sdk.api.ChatApi;
import com.zopim.android.sdk.data.observers.ConnectionObserver;

/**
 * This is a model class for Connection that will be created by {@link com.zopim.android.sdk.data.ConnectionPath}.
 * It is used to tell connectivity state of the {@link ChatApi} session.
 * <p>
 * You can subscribe to connection broadcast via {@link com.zopim.android.sdk.data.DataSource#addConnectionObserver(ConnectionObserver)}  using {@link com.zopim.android.sdk.data.observers.ConnectionObserver}
 * </p>
 * <p>
 * This class is a model that will be serialised to JSON and deserialised from JSON to this
 * model. As such it does not follow the m naming prefix for fields.
 * </p>
 *
 * @see com.zopim.android.sdk.model.Connection.Status
 */
public class Connection {

    @SuppressWarnings("unused")
    public Connection() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Creates new instance of {@link com.zopim.android.sdk.model.Connection} with params passed
     *
     * @param status to initialize the connection to
     */
    public Connection(Status status) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets status enum value
     * <p>
     * Described in {@link com.zopim.android.sdk.model.Connection.Status}
     * </p>
     *
     * @return connection status
     */
    @NonNull
    public Status getStatus() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String toString() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Definition of connection enum value.
     * <p>
     * All connection states are defined here.
     * </p>
     */
    public enum Status {

        NO_CONNECTION("noConnection"),
        CLOSED("closed"),
        DISCONNECTED("disconnected"),
        CONNECTING("connecting"),
        CONNECTED("connected"),
        UNKNOWN("unknown");

        Status(String status) {
            this.value = status;
        }

        public String getValue() {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Finds matching status value
         *
         * @param value to match with connection status
         * @return matching connection status or UNKNOWN if no match was found
         */
        @NonNull
        public static Status getStatus(String value) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }
    }
}
