package com.zopim.android.sdk.model;

import android.support.annotation.Nullable;
import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;
import java.util.LinkedList;
import java.util.List;
import java.util.StringTokenizer;

/**
 * This is a model class for File Sending (Attachments) that will be created by {@link com.zopim.android.sdk.data.LivechatFileSendingPath}.
 * <p>
 * It is used to tell if file sending is enabled and which extensions are supported. File sending is available only to certain plan types as per Zopim pricing plan.
 * </p>
 * <p>
 * You can subscribe to this broadcast via {@link com.zopim.android.sdk.data.DataSource#addFileSendingObserver(java.util.Observer)} using {@link com.zopim.android.sdk.data.observers.FileSendingObserver}
 * </p>
 * <p>
 * This class is a model that will be serialised to JSON and deserialized from JSON to this
 * model. As such it does not follow the m naming prefix for fields.
 * </p>
 *
 * @see <a href="https://www.zopim.com/pricing">https://www.zopim.com/pricing</a>
 * @see <a href="https://dashboard.zopim.com/#account/file_sending">File Sending Dashboard Settings</a>
 */
public class FileSending {

    /**
     * Indicates if file sending is enabled
     *
     * @return true if enabled, false otherwise
     */
    @Nullable
    public boolean isEnabled() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets file extensions that are allowed for file sending
     * <p>
     * File sending is configurable via <a href="https://dashboard.zopim.com/#account/file_sending">File Sending Dashboard Settings</a>
     * </p>
     *
     * @return array of allowed extensions
     */
    @Nullable
    public String[] getExtensions() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String toString() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
