package com.zopim.android.sdk.model;

import android.support.annotation.Nullable;
import com.zopim.android.sdk.api.ZopimChatApi;
import java.io.Serializable;

/**
 * This is a model class for visitor information that can be passed as part of config parameters when starting a chat.
 * <p>
 * It is used as a configuration parameter in {@link ZopimChatApi} to configure information about the user that is in
 * the chat.
 * Setting this configuration to {@link ZopimChatApi} will make the information visible in the agent's dashboard.
 * </p>
 * <p>
 * This class is a model that will be serialised to JSON and deserialised from JSON to this
 * model. As such it does not follow the m naming prefix for fields.
 * </p>
 *
 * @see ZopimChatApi#setVisitorInfo(VisitorInfo)
 * @see <a href="https://dashboard.zopim.com/#departments">Agent Dashboard</a>
 */
public class VisitorInfo implements Serializable {

    /**
     * Gets visitor name configured for this user
     *
     * @return name
     */
    @Nullable
    public String getName() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Sets visitor name to this configuration model
     *
     * @param name of the visitor
     */
    public void setName(String name) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets visitor email configured for this user
     *
     * @return email of the visitor
     */
    @Nullable
    public String getEmail() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Sets visitor email to this configuration model
     *
     * @param email of the visitor
     */
    public void setEmail(String email) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets visitor phone number configured for this user
     *
     * @return phoneNumber
     */
    @Nullable
    public String getPhoneNumber() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Sets visitor phone number to this configuration model
     *
     * @param phoneNumber of the visitor
     */
    public void setPhoneNumber(String phoneNumber) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Appends a note to the visitor note
     *
     * @param note about the visitor
     */
    public void setNote(String note) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Gets visitor note
     *
     * @return note
     */
    public String getNote() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Visitor info builder class
     */
    public static class Builder {

        /**
         * Configures name
         *
         * @param name of the visitor
         * @return builder
         */
        public Builder name(String name) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Configures email
         *
         * @param email of the visitor
         * @return email
         */
        public Builder email(String email) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Configures phone number
         *
         * @param number of the visitor
         * @return builder
         */
        public Builder phoneNumber(String number) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Configures note
         *
         * @param note about the visitor
         * @return builder
         */
        public Builder note(String note) {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }

        /**
         * Builds an instance of {@link com.zopim.android.sdk.model.VisitorInfo}
         *
         * @return visitor info instance with configuration specified during build process
         */
        public VisitorInfo build() {
            // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
            throw new java.lang.RuntimeException("Source removed");
        }
    }
}
