package com.zopim.android.sdk.model.items;

import android.support.annotation.NonNull;
import com.zendesk.util.StringUtils;
import com.zopim.android.sdk.data.observers.ChatLogObserver;

/**
 * This is an abstract model class for agent events that will be created by
 * {@link com.zopim.android.sdk.data.LivechatChatLogPath}.
 * <p>
 * You can subscribe to chat item broadcast via
 * {@link com.zopim.android.sdk.data.DataSource#addChatLogObserver(ChatLogObserver)} using {@link com.zopim.android.sdk.data.observers.ChatItemsObserver}
 * </p>
 *
 * @see <a href="https://dashboard.zopim.com/#departments">Agent Dashboard</a>
 * @see <a href="https://dashboard.zopim.com/#triggers/">Triggers Dashboard</a>
 * @see AgentMessage
 * @see AgentAttachment
 * @see AgentOptions
 * @see AgentTyping
 */
public abstract class AgentItem<T extends AgentItem> extends RowItem<T> {

    @Override
    public void update(@NonNull T item) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @NonNull
    public String getAvatarUri() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public void setAvatarUri(@NonNull String avatarUri) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public boolean equals(Object o) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public int hashCode() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
