package com.zopim.android.sdk.model.items;

import android.support.annotation.NonNull;

/**
 * Interface definition for updating items
 */
public interface Updatable<T> {

    /**
     * Update the current item
     *
     * @param item to update with
     */
    void update(@NonNull T item);

    /**
     * Check whether the update item can be cast to the correct type
     *
     * @param item to update from
     * @return true if casting can succeed, false otherwise
     */
    boolean canBeCastTo(Object item);
}
