package com.zopim.android.sdk.model.items;

import android.support.annotation.NonNull;
import com.zopim.android.sdk.data.observers.ChatLogObserver;

/**
 * This is an abstract model class for visitor events that will be created by
 * {@link com.zopim.android.sdk.data.LivechatChatLogPath}.
 * <p>
 * It provides the following updates:
 * <ul>
 * <li> If the item is still being sent to the server</li>
 * <li> If the item has failed to send</li>
 * </ul>
 * </p>
 * <p>
 * You can subscribe to chat item broadcast via
 * {@link com.zopim.android.sdk.data.DataSource#addChatLogObserver(ChatLogObserver)} using {@link com.zopim.android.sdk.data.observers.ChatItemsObserver}
 * </p>
 *
 * @see <a href="https://dashboard.zopim.com/#departments">Agent Dashboard</a>
 * @see <a href="https://dashboard.zopim.com/#triggers/">Triggers Dashboard</a>
 * @see VisitorMessage
 * @see VisitorAttachment
 * @see RowItem
 */
public abstract class VisitorItem<T extends VisitorItem> extends RowItem<T> {

    @Override
    public void update(@NonNull T item) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public boolean isUnverified() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public void setUnverified(boolean unverified) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public boolean isFailed() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    public void setFailed(boolean failed) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public boolean equals(Object o) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public int hashCode() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    @Override
    public String toString() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
