package com.zopim.android.sdk.store;

import android.content.Context;
import android.support.annotation.Nullable;
import com.zendesk.logger.Logger;

/**
 * Storage for saving the machine id of a chat session.
 * <p>
 * Machine id is defined during initialization and is used to reconnect to a chat if still active.
 * </p>
 */
public final class MachineIdPrefsStorage extends PrefsStorage implements MachineIdStorage {

    /**
     * Saves the provided machine id in shared preferences.
     * <p>
     * If storage is disabled via {@link PrefsStorage#disable()} this will do nothing.
     * </p>
     *
     * @param machineId to save
     * @throws java.lang.IllegalArgumentException if machine id was null
     */
    public void setMachineId(String machineId) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Retrieves stored machine id from shared preferences.
     * <p>
     * If storage is disabled via {@link PrefsStorage#disable()} this will return null.
     * </p>
     *
     * @return machine id of a saved chat session or null if there was none
     */
    @Nullable
    public String getMachineId() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
