package com.zopim.android.sdk.store;

import android.content.Context;
import android.support.annotation.NonNull;
import com.zendesk.logger.Logger;

/**
 * Singleton storage instance used to initialize or clear the storage
 * <p>
 * Access a specific storage via instance of this class.
 * </p>
 */
public enum Storage {

    INSTANCE;

    /**
     * Initializes the storage. This must be called first in order for the storage to work.
     *
     * @param context A context which will be used to initialise the storage
     */
    public static void init(Context context) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Provides an instance of {@link MachineIdStorage}
     * <p>
     * If {@link com.zopim.android.sdk.store.Storage} has not been initialized first this will return dummy storage implementation.
     * </p>
     *
     * @return machine id storage
     */
    @NonNull
    public static MachineIdStorage machineId() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Provides an instance of {@link VisitorInfoStorage}
     * <p>
     * If {@link com.zopim.android.sdk.store.Storage} has not been initialized first this will return mocked storage implementation.
     * </p>
     *
     * @return visitor info storage
     */
    @NonNull
    public static VisitorInfoStorage visitorInfo() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Clears all data from the storage.
     * <p>
     * This will clear the data in {@link MachineIdStorage} and {@link VisitorInfoStorage} implementations
     * </p>
     */
    public void clearAll() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
