package com.zopim.android.sdk.store;

import android.content.Context;
import android.content.SharedPreferences;
import android.support.annotation.Nullable;
import com.zendesk.logger.Logger;
import com.zopim.android.sdk.model.VisitorInfo;

/**
 * Storage for saving the visitor info
 * <p>
 * Visitor info is defined in {@link com.zopim.android.sdk.model.VisitorInfo} and used to configure informative data about the user in a chat.
 * Use this storage to save available visitor information so that next time users don't have to provide save info again.
 * </p>
 */
public final class VisitorInfoPrefsStorage extends PrefsStorage implements VisitorInfoStorage {

    /**
     * Saves the data of provided visitor info.
     * <p>
     * If storage is disabled via {@link PrefsStorage#disable()} this will do nothing.
     * </p>
     *
     * @param visitorInfo to save
     * @throws java.lang.IllegalArgumentException if visitor info was null
     */
    public void setVisitorInfo(VisitorInfo visitorInfo) {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }

    /**
     * Retrieves stored visitor info from shared preferences.
     * <p>
     * If storage is disabled via {@link PrefsStorage#disable()} this will return a default value.
     * </p>
     *
     * @return stored visitor info or a default value if there was none
     */
    @Nullable
    public VisitorInfo getVisitorInfo() {
        // This code was redacted by Java Censor - Learn more about it at https://github.com/schlan/java-censor
        throw new java.lang.RuntimeException("Source removed");
    }
}
