package com.zopim.android.sdk.store;

import com.zopim.android.sdk.model.VisitorInfo;

/**
 * Interface definition of a storage for saving the {@link com.zopim.android.sdk.model.VisitorInfo} info
 */
public interface VisitorInfoStorage extends BaseStorage {

    /**
     * Saves the data of provided visitor info
     *
     * @param visitorInfo to save
     */
    void setVisitorInfo(VisitorInfo visitorInfo);

    /**
     * Retrieves stored visitor info from shared preferences
     *
     * @return stored visitor info or null if there was none
     */
    VisitorInfo getVisitorInfo();
}
